## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DoubleSupport Class Reference

Collaboration diagram for DoubleSupport:

[legend]
List of all members.

## Static Public Member Functions

- void initialize (MemoryManagerType &theManager)
    Perform static initialization.
- void terminate ()
    Perform static shut down.
- bool isNaN (double theNumber)
    Determine if target is not a number.
- bool isPositiveInfinity (double theNumber)
    Determine if target is positive infinity.
- bool isNegativeInfinity (double theNumber)
    Determine if target is negative infinity.
- bool isPositiveZero (double theNumber)
    Determine if target is positive 0.
- bool isNegativeZero (double theNumber)
    Determine if target is negative 0.
- double getNaN ()
    Double value that represents "not a number".
- double getPositiveInfinity ()
    Double value that represents positive infinity.
- double getNegativeInfinity ()
    Double value that represents negative infinity.
- bool equal (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754.
- bool notEqual (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754.
- bool lessThan (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754.
- bool lessThanOrEqual (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754.
- bool greaterThan (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754.
- bool greaterThanOrEqual (double theLHS, double theRHS)
    Compare two double values, taking into account the fact that we must support IEEE 754.
- double add (double theLHS, double theRHS)
    Add two double values, taking into account the fact that we must support IEEE 754.
- double subtract (double theLHS, double theRHS)
    Subtract two double values, taking into account the fact that we must support IEEE 754.
- double multiply (double theLHS, double theRHS)
    Multiply two double values, taking into account the fact that we must support IEEE 754.
- double divide (double theLHS, double theRHS)
    Divide two double values, taking into account the fact that we must support IEEE 754.
- double modulus (double theLHS, double theRHS)
    Determine the modulus two double values, taking into account the fact that we must support IEEE 754.
- double negative (double theDouble)
    Determine the negative of a double value, taking into account the fact that we must support IEEE 754.
- bool isValid (const XalanDOMString &theString)
    Determine whether or not a string contains a valid floating point number.
- bool isValid (const XalanDOMChar *theString)
    Determine whether or not a string contains a valid floating point number.
- double toDouble (const XalanDOMString &theString, MemoryManagerType &theManager)
    Convert a string to a double value.
- double toDouble (const XalanDOMChar *theString, MemoryManagerType &theManager)
    Convert a string to a double value.
- double round (double theValue)
    Round a number according to the XPath rules.
- double ceiling (double theValue)
    Returns the ceiling of a number according to the XPath rules.
- double floor (double theValue)
    Returns the floor of a number according to the XPath rules.

## Member Function Documentation

double DoubleSupport::add | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Add two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to add
  theRHS | a number to add

Returns:
  the result of the addition

double DoubleSupport::ceiling | ( | double | theValue | ) | `[static]`

Returns the ceiling of a number according to the XPath rules.

Parameters:

  theValue | The value to round.

Returns:
  The result of the rounding

double DoubleSupport::divide | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Divide two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to divide
  theRHS | a number to divide

Returns:
  the result of the division

bool DoubleSupport::equal | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Compare two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to compare
  theRHS | a number to compare

Returns:
  the result of the compare

double DoubleSupport::floor | ( | double | theValue | ) | `[static]`

Returns the floor of a number according to the XPath rules.

Parameters:

  theValue | The value to round.

Returns:
  The result of the rounding

double DoubleSupport::getNaN | ( |  | ) | `[static]`

Double value that represents "not a number".

Returns:
  "not a number" value

double DoubleSupport::getNegativeInfinity | ( |  | ) | `[static]`

Double value that represents negative infinity.

Returns:
  negative infinity value

double DoubleSupport::getPositiveInfinity | ( |  | ) | `[static]`

Double value that represents positive infinity.

Returns:
  positive infinity value

bool DoubleSupport::greaterThan | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Compare two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to compare
  theRHS | a number to compare

Returns:
  the result of the compare

bool DoubleSupport::greaterThanOrEqual | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Compare two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to compare
  theRHS | a number to compare

Returns:
  the result of the compare

void DoubleSupport::initialize | ( | MemoryManagerType & | theManager | ) | `[static]`

| Perform static initialization. See class PlatformSupportInit.

bool DoubleSupport::isNaN | ( | double | theNumber | ) | `[static]`

Determine if target is not a number.

Parameters:

  theNumber | target number

Returns:
  true if target represents the "not a number" value

bool DoubleSupport::isNegativeInfinity | ( | double | theNumber | ) | `[static]`

Determine if target is negative infinity.

Parameters:

  theNumber | target number

Returns:
  true if target represents the value for negative infinity

bool DoubleSupport::isNegativeZero | ( | double | theNumber | ) | `[static]`

Determine if target is negative 0.

Parameters:

  theNumber | target number

Returns:
  true if target represents the value for negative 0

bool DoubleSupport::isPositiveInfinity | ( | double | theNumber | ) | `[static]`

Determine if target is positive infinity.

Parameters:

  theNumber | target number

Returns:
  true if target represents the value for positive infinity

bool DoubleSupport::isPositiveZero | ( | double | theNumber | ) | `[static]`

Determine if target is positive 0.

Parameters:

  theNumber | target number

Returns:
  true if target represents the value for positive 0.

bool DoubleSupport::isValid | ( | const XalanDOMChar * | theString | ) | `[static]`

Determine whether or not a string contains a valid floating point number.

Parameters:

  theString | The string to check.

Returns:
  true if the string is valid, false if not.

bool DoubleSupport::isValid | ( | const XalanDOMString & | theString | ) | `[static]`

Determine whether or not a string contains a valid floating point number.

Parameters:

  theString | The string to check.

Returns:
  true if the string is valid, false if not.

bool DoubleSupport::lessThan | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Compare two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to compare
  theRHS | a number to compare

Returns:
  the result of the compare

bool DoubleSupport::lessThanOrEqual | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Compare two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to compare
  theRHS | a number to compare

Returns:
  the result of the compare

double DoubleSupport::modulus | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Determine the modulus two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to divide
  theRHS | a number to divide

Returns:
  the result of the modulus

double DoubleSupport::multiply | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Multiply two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to multiply
  theRHS | a number to multiply

Returns:
  the result of the multiplication

double DoubleSupport::negative | ( | double | theDouble | ) | `[static]`

Determine the negative of a double value, taking into account the fact that we must support IEEE 754.

Parameters:

  theDouble | a number to negate

Returns:
  the result of the negation

bool DoubleSupport::notEqual | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Compare two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to compare
  theRHS | a number to compare

Returns:
  the result of the compare

double DoubleSupport::round | ( | double | theValue | ) | `[static]`

Round a number according to the XPath rules.

Parameters:

  theValue | The value to round.

Returns:
  The result of the rounding

double DoubleSupport::subtract | ( | double | theLHS,
|  | double | theRHS
| ) | `[static]`

Subtract two double values, taking into account the fact that we must support IEEE 754.

Parameters:

  theLHS | a number to subtract
  theRHS | a number to subtract

Returns:
  the result of the subtraction

void DoubleSupport::terminate | ( |  | ) | `[static]`

| Perform static shut down. See class PlatformSupportInit.

double DoubleSupport::toDouble | ( | const XalanDOMChar * | theString,
|  | MemoryManagerType & | theManager
| ) | `[static]`

Convert a string to a double value.

Returns NaN if the string is not a valid floating point number.

Parameters:

  theString | The string to convert.

Returns:
  The result of the conversion

double DoubleSupport::toDouble | ( | const XalanDOMString & | theString,
|  | MemoryManagerType & | theManager
| ) | `[static]`

Convert a string to a double value.

Returns NaN if the string is not a valid floating point number.

Parameters:

  theString | The string to convert.

Returns:
  The result of the conversion

The documentation for this class was generated from the following file:

- DoubleSupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.